oracle.pg.text.lucene

## Class LuceneParameters

- java.lang.Object
- - oracle.pg.text.IndexParametersBase
  - - oracle.pg.text.lucene.LuceneParameters

-     public class LuceneParameters
      extends IndexParametersBase

  This class manages the parameters and utilties for Lucene index directories

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.analysis.Analyzer` | `getAnalyzer()` Gets the Lucene Analyzer associated to this index
    `OracleDirectory.DirectoryType` | `getDirectoryType()` Gets the Directory Type used in this index.
    `String[]` | `getLocation()` Gets the location(s) of the directories where the index will be stored.
    `String` | `getLocationsAsString()` Gets the location of the directory associated to this index.
    `int` | `getNumSubDirs()` Gets the number of directories used to store the index.
    `org.apache.lucene.util.Version` | `getVersion()` Gets the Lucene Version to use for indexes.
    `boolean` | `useDatatypes()` Validates if values in Vertex/Edge properties should be indexed as Datatype fields or as TextFields.

    - ### Methods inherited from class oracle.pg.text.IndexParametersBase

      `getBatchSize, getCommitBatchSize, getNumConnections, getWriteTimeout`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getAnalyzer

          public org.apache.lucene.analysis.Analyzer getAnalyzer()

      Gets the Lucene Analyzer associated to this index
      Returns:
        an `Analyzer` object.

    - #### getDirectoryType

          public OracleDirectory.DirectoryType getDirectoryType()

      Gets the Directory Type used in this index.
      Returns:
        a `OracleDirectory.DirectoryType` object. The default value is set to DirectoryType.FS_DIRECTORY.

    - #### getLocation

          public String[] getLocation()

      Gets the location(s) of the directories where the index will be stored.
      Returns:
        a String array with the he location(s) of the directories where the index will be stored.

    - #### getLocationsAsString

          public String getLocationsAsString()

      Gets the location of the directory associated to this index.
      Returns:
        the location of the directory.

    - #### getNumSubDirs

          public int getNumSubDirs()

      Gets the number of directories used to store the index.
      Returns:
        a positive integer representing the number of directories used to store the index. The default value is set to 1.

    - #### getVersion

          public org.apache.lucene.util.Version getVersion()

      Gets the Lucene Version to use for indexes.
      Returns:
        a `Version` object specifying the Lucene version to use for indexes. The default value is set to Version.LUCENE_45.

    - #### useDatatypes

          public boolean useDatatypes()

      Validates if values in Vertex/Edge properties should be indexed as Datatype fields or as TextFields.
      Returns:
        true if values in Vertex/Edge properties should be indexed as Datatype fields, else return false. The default value is set to true.

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.